Bug 147143 - Word selection error in Arabic text
Summary: Word selection error in Arabic text
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.3.0.1 rc
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.0 target:7.3.2 target:7.2.7
Keywords: bibisected, bisected, regression
Depends on:
Blocks: RTL-Arabic-and-Farsi
  Show dependency treegraph
 
Reported: 2022-02-02 18:43 UTC by mustafa
Modified: 2022-08-05 08:20 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Word selection error in Arabic text. (139.53 KB, image/png)
2022-02-02 18:46 UTC, mustafa
Details
Word selection error in Arabic text. (124.80 KB, image/png)
2022-02-02 18:47 UTC, mustafa
Details
test file is here (13.07 KB, application/vnd.oasis.opendocument.text)
2022-02-02 20:13 UTC, mustafa
Details
select the word is good (546.33 KB, video/mp4)
2022-02-02 20:19 UTC, mustafa
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mustafa 2022-02-02 18:43:46 UTC
Description:
Word selection error in Arabic text.

The selection error in Arabic texts has been fixed, but the word selection does not occur when justified to the left.
It used to be possible.
In previous versions this was possible.

Version: 7.1.6.2 : no error / okay super
Version: 7.3.0.3 : error

Linux Mint 20.3 Cinnamon
Kernel 5.4.0-97-generic
AMD Ryzen 3 2200G with Radeon Vega Graphics × 4
Advanced Micro Devices, Inc.
AMD/ATI] Raven Ridge [Radeon Vega Series / Radeon Vega Mobile Series]



Actual Results:
unsuccessful

Expected Results:
unsuccessful


Reproducible: Always


User Profile Reset: Yes



Additional Info:
that is all
Comment 1 mustafa 2022-02-02 18:46:20 UTC
Created attachment 177996 [details]
Word selection error in Arabic text.

Word selection error in Arabic text.
Comment 2 mustafa 2022-02-02 18:47:30 UTC
Created attachment 177997 [details]
Word selection error in Arabic text.
Comment 3 raal 2022-02-02 18:47:59 UTC
PLease attach test file.
Comment 4 mustafa 2022-02-02 20:13:32 UTC
Created attachment 178000 [details]
test file is here
Comment 5 mustafa 2022-02-02 20:19:40 UTC
Created attachment 178001 [details]
select the word is good
Comment 6 raal 2022-02-05 08:09:12 UTC
I can confirm with Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: d5f015185240a7bddfed7ddf10d6b5426e35fb72
CPU threads: 4; OS: Linux 5.11; UI render: default; VCL: gtk3
Locale: cs-CZ (cs_CZ.UTF-8); UI: en-US
Calc: threaded Jumbo

Works in Version: 7.1.7.2 / LibreOffice Community
Build ID: 10(Build:2)
CPU threads: 4; OS: Linux 5.11; UI render: default; VCL: gtk3
Locale: cs-CZ (cs_CZ.UTF-8); UI: cs-CZ
Ubuntu package version: 1:7.1.7-0ubuntu0.21.04.1
Calc: threaded
Comment 7 raal 2022-02-05 15:58:28 UTC
This seems to have begun at the below commit.
Adding Cc: to Noel Grandin ; Could you possibly take a look at this one?
Thanks
 dfcc1350ab6373b45b98bbb94113c3e884d2ce2f is the first bad commit
commit dfcc1350ab6373b45b98bbb94113c3e884d2ce2f
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Sat Jan 8 08:28:19 2022 +0100

    source sha:563af8fd15aa37e75af8882cccbdf8914ebe8e61

https://git.libreoffice.org/core/+/563af8fd15aa37e75af8882cccbdf8914ebe8e61
  tdf#144890 Invalid selection area when text in LTR run
Comment 8 Noel Grandin 2022-02-06 10:31:13 UTC
Did this bug exist before ec50b9e5eaec7c94df35617676077ef0d65cecc7 ?
Comment 9 raal 2022-02-06 10:34:17 UTC
(In reply to Noel Grandin from comment #8)
> Did this bug exist before ec50b9e5eaec7c94df35617676077ef0d65cecc7 ?

I'm not sure if I can search bibisect repo with original commit. The repo have it's own commit IDs.
Comment 10 Noel Grandin 2022-02-06 11:34:40 UTC
(In reply to raal from comment #9)
> (In reply to Noel Grandin from comment #8)
> > Did this bug exist before ec50b9e5eaec7c94df35617676077ef0d65cecc7 ?
> 
> I'm not sure if I can search bibisect repo with original commit. The repo
> have it's own commit IDs.

git log --grep='ec50b9e5eaec7c94df35617676077ef0d65cecc7'
Comment 11 raal 2022-02-06 12:32:35 UTC
(In reply to Noel Grandin from comment #10)
> (In reply to raal from comment #9)
> > (In reply to Noel Grandin from comment #8)
> > > Did this bug exist before ec50b9e5eaec7c94df35617676077ef0d65cecc7 ?
> > 
> > I'm not sure if I can search bibisect repo with original commit. The repo
> > have it's own commit IDs.
> 
> git log --grep='ec50b9e5eaec7c94df35617676077ef0d65cecc7'

I knew there is some "problem" in bibisect repo for searching. Finally found my notes. Just for info, this command works in bibisect repo linux-64-7.2:
git log origin/master --grep "ec50b9e5eaec7c94df35617676077ef0d65cecc7"

commit 94d8dbe64440b52a0bbf4f72cf0f1af78effd4a5
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Thu May 27 12:58:47 2021 +0200

    source sha:ec50b9e5eaec7c94df35617676077ef0d65cecc7
  
 >> git checkout 94d8dbe64440b52a0bbf4f72cf0f1af78effd4a5
the select is not 100% correct, but some words are selected. Selected is word which I double clicked and some lines below.
 
 >> git checkout HEAD~1
 selection of words (double click) is correct.
 
 If you want I can prepare screenshots.
Comment 12 Noel Grandin 2022-02-06 12:38:23 UTC
> (In reply to Noel Grandin from comment #10)
>  
>  If you want I can prepare screenshots.

Thanks a lot! no need for that, now I know I just need to entirely revert that old commit, clearly there is weird stuff going on there.
Comment 13 Commit Notification 2022-03-14 13:55:43 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/22be1665dc6eb28ea1d52c7c5e4347628fc5a76b

tdf#147143 Word selection error in Arabic text

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2022-03-14 16:03:15 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/1b94a54826d4f8a4ae0c670868c317d68e246e3e

tdf#147143 Word selection error in Arabic text

It will be available in 7.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2022-03-14 16:29:56 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/e8f62db1c0ac5f9fa2510d4c0c8d2111bbeb6427

tdf#147143 Word selection error in Arabic text

It will be available in 7.2.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2022-03-23 12:48:29 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-7-3-2":

https://git.libreoffice.org/core/commit/0aa81ed71744e3c7c6123504f1b93110dc1815e2

tdf#147143 Word selection error in Arabic text

It will be available in 7.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.